<!DOCTYPE html>
<html lang="en">
    <head>
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1.0">
        <title>Exchange Rates</title>
        <link href="css/page.css" type="text/css" rel="stylesheet">
        <link href="css/formStyle.css" type="text/css" rel="stylesheet">
        <script src="js/utilities.js" defer></script>
        <script type="module" src="js/exchange_rate.js" defer></script>
    </head>
    <body>
        <section id="main-container">
            <header>
                <h1>Currency Exchange Live Calculator</h1>
                <h2>420-320 Assignment 2</h2>
            </header>

            <section id="middle-section">
                <section id="top-section">
                    <form action="" method="get">
                        <fieldset>
                            <legend>Fill In All Required Fields</legend>

                            <section id="form-row">

                                <section class="form-row">
                                    <label for="base-currency-select">Base Currency</label>
                                    <select name="base-currency" id="base-currency-select">
                                        <option value="-">-------</option>
                                        <!-- rest of the options are added dynamicaly -->
                                    </select>
                                </section>

                                <section class="form-row">
                                    <label for="to-currency-select">To Currency</label>
                                    <select name="to-currency" id="to-currency-select">
                                        <option value="-">-------</option>
                                        <!-- rest of the options are added dynamicaly -->
                                    </select>
                                </section>

                                <section class="form-row">
                                    <label for="amount">Amount</label>
                                    <input type="number" name="amount" id="amount" min="1.00" max="999999999999.99">
                                </section>

                            </section>

                            <section class="form-btn">
                                <button type="button" id="convertBtn"> Convert </button>
                                <button type="button" id="showBtn"> Show History </button>
                                <button type="button" id="clearBtn"> Clear History </button>
                            </section>

                        </fieldset>
                    </form>
                </section>
            </section>

            <section id="main-section">
                <div>
                    <table>

                    </table>
                </div>
            </section>

            <footer>
                <p> Fred-Dgennie Louis, 2036915, Section 2, Copyright Fall 2022</p>
            </footer>
        </section>
    </body>
</html>